# List counterparties

List counterparties

Endpoint: GET /v2/counterparties
Version: 2.0
Security: TokenAuth

## Query parameters:

  - `pageSize` (integer)
    The number of results to return per page (default 50, max 1000)

  - `pageToken` (string)
    The token to retrieve the next page of results

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `counterparties` (array)

  - `counterparties.id` (string, required)
    The counterparty ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `counterparties.createdBy` (string, required)
    The ID of the user who created this counterparty
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `counterparties.createdAt` (string, required)
    The date and time the counterparty was created
    Example: "2022-03-29T10:22:22.420Z"

  - `counterparties.updatedBy` (string, required)
    The ID of the user who updated this counterparty
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `counterparties.updatedAt` (string, required)
    The date and time the counterparty was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `counterparties.name` (string, required)
    The counterparty name
    Example: "Palisade"

  - `counterparties.description` (string)
    The counterparty description
    Example: "A counterparty used by the treasury department"

  - `counterparties.details` (object, required)

  - `counterparties.details.type` (string, required)
    Enum: "ORGANIZATION", "INDIVIDUAL", "DAPP"

  - `counterparties.details.individual` (object)

  - `counterparties.details.individual.firstName` (string, required)
    The persons first name
    Example: "Joe"

  - `counterparties.details.individual.lastName` (string, required)
    The persons last name
    Example: "Bloggs"

  - `counterparties.details.individual.address` (object)

  - `counterparties.details.individual.address.address1` (string, required)
    The first line of the address
    Example: "Flat B"

  - `counterparties.details.individual.address.address2` (string)
    The second line of the address
    Example: "10 Mayo Road"

  - `counterparties.details.individual.address.city` (string, required)
    The city of the address
    Example: "London"

  - `counterparties.details.individual.address.state` (string, required)
    The state of the address
    Example: "Greater London"

  - `counterparties.details.individual.address.postCode` (string, required)
    The postal code of the address
    Example: "W1 1AA"

  - `counterparties.details.individual.address.country` (string, required)
    The country of the address
    Example: "United Kingdom"

  - `counterparties.details.organization` (object)

  - `counterparties.details.organization.legalName` (string, required)
    The full legal name of the organization
    Example: "Palisade Financial"

  - `counterparties.details.organization.address` (object)

  - `counterparties.details.dApp` (object)

  - `counterparties.addressCount` (integer, required)
    The number of addresses associated with the counterparty
    Example: 5

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


